/** Copyright (C) 2017 by Bundesanstalt für Gewässerkunde
 * Software engineering by
 *  Björnsen Beratende Ingenieure GmbH
 *  Dr. Schumacher Ingenieurbüro für Wasser und Umwelt
 *
 * This file is Free Software under the GNU AGPL (>=v3)
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details.
 */
package org.dive4elements.river.artifacts.uinfo.inundationduration;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * @author Domenico Nardi Tironi
 */
final class InundationDurationCalculationResult implements Serializable {

    public static final class WmsLayer implements Serializable {

        private static final long serialVersionUID = 1L;

        private final String label;

        private final String url;

        private final boolean showLayerLink;

        private final String layer;

        public WmsLayer(final String label, final String url, final String layer, final boolean showLayerLink) {
            this.label = label;
            this.url = url;
            this.layer = layer;
            this.showLayerLink = showLayerLink;
        }

        public String getLabel() {
            return this.label;
        }

        public String getUrl() {
            return this.url;
        }

        public String getLayer() {
            return this.layer;
        }

        public boolean isShowLayerLink() {
            return this.showLayerLink;
        }
    }

    private static final long serialVersionUID = 1L;

    private final List<WmsLayer> layers = new ArrayList<>();

    public void addLayer(final WmsLayer layer) {
        this.layers.add(layer);
    }

    public List<WmsLayer> getLayers() {
        return this.layers;
    }
}